Forum: GNU Radio Windows install guide from Ettus Research: missing important note

F7b45a110fba31e5b37c60978bc8d3b7?d=identicon&s=25 Artem Pisarenko (Guest)
on 2013-11-16 11:49
(Received via mailing list)
Current guide
missed one important note, which is non-trivial and cause such
users as me to waste a lot of time and nerves fighting obscure DLL
ImportError failures !
On PyQT dependency should be noted, that *you should UNCHECK extra
(such as "Qt runtime") during PyQT install*.

To help other users on the web experiencing this problem find this:

> windows gnuradio python py2.7 PyQt4 PyQwt qtgui 'QT GUI'

> from gnuradio import qtgui
> ...
> _qtgui_swig = swig_import_helper()
> ...
> _mod = imp.load_module('_qtgui_swig', fp, pathname, description)
> ImportError: DLL load failed:
> <OS user language error string>
> (ImportError: DLL load failed: The specified procedure could not be
> found.)
> (ImportError: DLL load failed: ═х эрщфхэр єърчрээр  яЁюЎхфєЁр.)

View this message in context:
Sent from the GnuRadio mailing list archive at
3e80620fe492d92901b7a29b28655d63?d=identicon&s=25 Ben Hilburn (Guest)
on 2013-11-18 19:16
(Received via mailing list)
Thanks for the feedback, Artem!

We'll take a look at it today.

F7b45a110fba31e5b37c60978bc8d3b7?d=identicon&s=25 "Артем Писаренко" <> (Guest)
on 2013-11-19 20:49
(Received via mailing list)
This is the first thing that came to my mind, but I have to dissapoint
It's not root cause, because I played a lot with order of folders on
and it didn't helped. I used Dependency Walker, but it also didn't
me a lot. At least, things are more complicated than this suggestion.
Currently I so angry and tired with all this gnu->windows porting shit,
that I have absolutely no interest to investigate it. I just hate it.
Ce63a5d1b3673f18d33a7ef8870b8bc1?d=identicon&s=25 Bhaskar (Guest)
on 2013-12-23 12:54
(Received via mailing list)
Thanks to Artem Pisarenko. That was a lifesaver tip. I could not find
other way around that error.

But instead of removing *all* extra options "such as "Qt runtime", it
enough to remove *only* the Qt runtime option.

Hi, Ben, please do include it in the web instructions at least as a
for those who do get this error.


View this message in context:
Sent from the GnuRadio mailing list archive at
This topic is locked and can not be replied to.